ScriptWriterParserInternal::State Struct Reference documentation

ScriptWriterParserInternal::State Struct Reference

Internal: the state of a ScriptWriterParser. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
int | m_documentType
| the document type: 0: advanced, 1: normal, 2: dual
MWAWFont | m_defaultFont
| the default font
int | m_lineSpacing
| the default line spacing
int | m_lineSpacingPercent [2]
| the default line spacing percent
int | m_leftMargins [6]
| the left margin positions
int | m_columnSepPos
| the column separator position
int | m_columnOriginPos
| the second column left margin
bool | m_hasTitlePage
| a flag to know if the first page is a title page
std::vector< ScriptWriterParserInternal::Page > | m_pages
| the pages list
MWAWEntry | m_mainZoneEntry
| the main zone entry
HFData | m_hfData [2]
| the header/footer data
std::vector< MWAWTabStop > | m_tabs [2]
| the left/right columns tabulations

## Detailed Description

Internal: the state of a ScriptWriterParser.

## Constructor & Destructor Documentation

## ◆ State()

ScriptWriterParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int ScriptWriterParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_columnOriginPos

int ScriptWriterParserInternal::State::m_columnOriginPos

the second column left margin

Referenced by State().

## ◆ m_columnSepPos

int ScriptWriterParserInternal::State::m_columnSepPos

the column separator position

Referenced by State().

## ◆ m_defaultFont

MWAWFont ScriptWriterParserInternal::State::m_defaultFont

the default font

Referenced by State().

## ◆ m_documentType

int ScriptWriterParserInternal::State::m_documentType

the document type: 0: advanced, 1: normal, 2: dual

Referenced by State().

## ◆ m_hasTitlePage

bool ScriptWriterParserInternal::State::m_hasTitlePage

a flag to know if the first page is a title page

Referenced by State().

## ◆ m_hfData

HFData ScriptWriterParserInternal::State::m_hfData[2]

the header/footer data

## ◆ m_leftMargins

int ScriptWriterParserInternal::State::m_leftMargins[6]

the left margin positions

Referenced by State().

## ◆ m_lineSpacing

int ScriptWriterParserInternal::State::m_lineSpacing

the default line spacing

Referenced by State().

## ◆ m_lineSpacingPercent

int ScriptWriterParserInternal::State::m_lineSpacingPercent[2]

the default line spacing percent

Referenced by State().

## ◆ m_mainZoneEntry

MWAWEntry ScriptWriterParserInternal::State::m_mainZoneEntry

the main zone entry

Referenced by State().

## ◆ m_numPages

int ScriptWriterParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## ◆ m_pages

std::vector<ScriptWriterParserInternal::Page> ScriptWriterParserInternal::State::m_pages

the pages list

Referenced by State().

## ◆ m_tabs

std::vector<MWAWTabStop> ScriptWriterParserInternal::State::m_tabs[2]

the left/right columns tabulations

The documentation for this struct was generated from the following file:

- ScriptWriterParser.cxx